Skip to main content
PATCH
Update Eka User

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

user_id
string
required

Eka User's Eka ID

Example:

"176917697553584"

Body

application/json

Fields to update on the Eka User. All fields are optional.

firstname
string
Example:

"Amit"

lastname
string
Example:

"Kumar"

mobile
string
Example:

"9876543210"

email
string<email>
Example:

"amit.kumar@example.com"

auth_userid
string
Example:

"Prateek_@_123"

gender
enum<string>
Available options:
M,
F,
O
Example:

"M"

dob
string<date>
Example:

"1990-05-15"

is_admin
boolean
Example:

true

seat_type
enum<string>
Available options:
b,
p
Example:

"p"

persona
enum<string>
Available options:
S,
D
Example:

"D"

doctor_ids
string[]
Example:
partner_doctor_ids
string[]
Example:
clinic_ids
string[]
Example:
partner_clinic_ids
string[]
Example:
partner_id
string
Example:

"Part_user_1"

Response

OK - Eka User updated successfully

status
string
Example:

"success"

ekaid
string
Example:

"176917697553584"